Vibe Coding

POST
/v1/responses

Creates a model response. Provide text or image inputs to generate text or JSON outputs. Supports tool calling and conversation state.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.vivgrid.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "glm-5",    "input": "Create a amazon-like web app."  }'
{
  "id": "string",
  "object": "string",
  "created_at": 0,
  "model": "string",
  "status": "string",
  "output": [
    {}
  ],
  "usage": {},
  "service_tier": "string"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}